﻿using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace GridCheckBoxSelection
{
    /// <summary>
    /// 
    /// </summary>
    public class UserItem : INotifyPropertyChanged
    {
        #region Fields

        /// <summary>
        /// Holds the Batch Guid.
        /// </summary>
        private string m_Name = string.Empty;

        /// <summary>
        /// Batch Type
        /// </summary>
        private string m_Type;
        #endregion Fields

        #region Properties
        /// <summary>
        /// User Name
        /// </summary>
        public string UserName
        {
            get { return m_Name; }
            set
            {
                if (m_Name != value)
                {
                    m_Name = value;
                    OnPropertyChanged("UserName");
                }
            }
        }

        /// <summary>
        /// Type
        /// </summary>
        public string Type
        {
            get { return m_Type; }
            set
            {
                if (m_Type != value)
                {
                    m_Type = value;
                    OnPropertyChanged("Type");
                }
            }
        }



        #endregion Properties

        #region Events
        /// <summary>
        /// Occurs when a property value changes.
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged;

        /// <summary>
        /// Called when [property changed].
        /// </summary>
        /// <param name="info">The info.</param>
        private void OnPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
        #endregion Events
    }

    public class BatchStatusItemList : List<UserItem>
    {

    }
}
