﻿using System.Windows;
using System.Windows.Controls;
using Infragistics.Windows.DataPresenter;

namespace GridCheckBoxSelection
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow
    {
        public MainWindow()
        {
            InitializeComponent();
            LoadDefaults();
        }

        BatchStatusItemList list = new BatchStatusItemList();
        
        private void LoadDefaults()
        {
            for (int count = 0; count < 10; count++)
            {
                UserItem item = new UserItem();
                item.Type = "Type: " + count;
                item.UserName = "User name: " + count;
                list.Add(item);
            }
            StatusGrid.DataSource = list;
        }

        private void OnSelectCheckBoxClick(object sender, RoutedEventArgs re)
        {
            XamDataGrid pfxDataGrid = sender as XamDataGrid;
            CheckBox chk = re.OriginalSource as CheckBox;
            if (chk != null && chk.IsChecked == false)
            {
                if (pfxDataGrid != null)
                {
                    pfxDataGrid.ActiveRecord.IsSelected = false;
                }
            }
            if (chk != null && chk.IsChecked == true)
            {
                if (pfxDataGrid != null)
                {
                    Record record = pfxDataGrid.ActiveRecord;
                    record.IsSelected = true;
                }
            }
        }

        private void OnSelectAllCheckBoxClick(object sender, RoutedEventArgs re)
        {
            //for records  present in grid
            foreach (DataRecord drecord in StatusGrid.Records)
            {
                drecord.IsSelected = true;
            }
        }
    }
}
